Subject: Re: [PATCH 00/14] Stop using `the_repository` in some trivial cases

From: shejialuo <[email-masked]>
Date: Tue, 17 Dec 2024 20:45:54 +0800

On Tue, Dec 17, 2024 at 07:43:47AM +0100, Patrick Steinhardt wrote:
> Hi,
> 
> this small patch series performs some refactorings to stop using
> `the_repository` in several subsystems. There wasn't really any
> criterium for which subsystems I picked, except that all of them have
> been trivial to convert.
> 
> In this patch series I'm merely bubbling up `the_repository` one more
> layer even though some calling contexts already have a repository
> available. For the sake of triviality I decided not to handle these
> cases though and instead let a future patch series worry about them.
> 

Actually, I am excited to see that we remove the global variable
"the_repository" in some subsystems because I have seen every patch with
"<subsystem>: stop using `the_repository`".

By this, we make the problem smaller, which is good. I have read through
all the patches, which looks to me.

Thanks,
Jialuo